libgeglmm: geglmm Enums and Flags

libgeglmm

Enumerations | Functions
geglmm Enums and Flags

## Enumerations
enum | Gegl::BlitFlags { Gegl::BLIT_DEFAULT = 0, Gegl::BLIT_CACHE = 1 << 0, Gegl::BLIT_DIRTY = 1 << 1 }
enum | Gegl::Interpolation { Gegl::INTERPOLATION_NEAREST, Gegl::INTERPOLATION_LINEAR, Gegl::INTERPOLATION_CUBIC, Gegl::INTERPOLATION_LANCZOS, Gegl::INTERPOLATION_DOWNSHARP, Gegl::INTERPOLATION_DOWNSIZE, Gegl::INTERPOLATION_DOWNSMOOTH, Gegl::INTERPOLATION_UPSHARP, Gegl::INTERPOLATION_UPSIZE, Gegl::INTERPOLATION_UPSMOOTH }
## Functions
BlitFlags | Gegl::operator& (BlitFlags lhs, BlitFlags rhs)
BlitFlags& | Gegl::operator&= (BlitFlags& lhs, BlitFlags rhs)
BlitFlags | Gegl::operator^ (BlitFlags lhs, BlitFlags rhs)
BlitFlags& | Gegl::operator^= (BlitFlags& lhs, BlitFlags rhs)
BlitFlags | Gegl::operator| (BlitFlags lhs, BlitFlags rhs)
BlitFlags& | Gegl::operator|= (BlitFlags& lhs, BlitFlags rhs)
BlitFlags | Gegl::operator~ (BlitFlags flags)

## Enumeration Type Documentation

enum Gegl::BlitFlags

Bitwise operators:
  `BlitFlags operator|(BlitFlags, BlitFlags)`
  `BlitFlags operator&(BlitFlags, BlitFlags)`
  `BlitFlags operator^(BlitFlags, BlitFlags)`
  `BlitFlags operator~(BlitFlags)`
  `BlitFlags& operator|=(BlitFlags&, BlitFlags)`
  `BlitFlags& operator&=(BlitFlags&, BlitFlags)`
  `BlitFlags& operator^=(BlitFlags&, BlitFlags)`

Enumerator:

  BLIT_DEFAULT |
  BLIT_CACHE |
  BLIT_DIRTY |

enum Gegl::Interpolation

Enumerator:

  INTERPOLATION_NEAREST |
  INTERPOLATION_LINEAR |
  INTERPOLATION_CUBIC |
  INTERPOLATION_LANCZOS |
  INTERPOLATION_DOWNSHARP |
  INTERPOLATION_DOWNSIZE |
  INTERPOLATION_DOWNSMOOTH |
  INTERPOLATION_UPSHARP |
  INTERPOLATION_UPSIZE |
  INTERPOLATION_UPSMOOTH |

## Function Documentation

BlitFlags Gegl::operator& | ( | BlitFlags | lhs,
|  | BlitFlags | rhs
| ) |  | `[inline]`

BlitFlags& Gegl::operator&= | ( | BlitFlags & | lhs,
|  | BlitFlags | rhs
| ) |  | `[inline]`

BlitFlags Gegl::operator^ | ( | BlitFlags | lhs,
|  | BlitFlags | rhs
| ) |  | `[inline]`

BlitFlags& Gegl::operator^= | ( | BlitFlags & | lhs,
|  | BlitFlags | rhs
| ) |  | `[inline]`

BlitFlags Gegl::operator| | ( | BlitFlags | lhs,
|  | BlitFlags | rhs
| ) |  | `[inline]`

BlitFlags& Gegl::operator|= | ( | BlitFlags & | lhs,
|  | BlitFlags | rhs
| ) |  | `[inline]`

BlitFlags Gegl::operator~ | ( | BlitFlags | flags | ) | `[inline]`